summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTails developers <amnesia@boum.org>2011-10-21 10:14:15 +0200
committerTails developers <amnesia@boum.org>2011-10-21 10:14:15 +0200
commitf6875bf2ee1f888cc8f78ce6b2af1c62b9b663f5 (patch)
tree9d6dc43b33904335d08259989d40d83712aec5a9
parent9398d2ecf7d4568f139cfa35c9beb19adca8efc9 (diff)
Don't use gdm3 initscript on brutal shutdown anymore.
This script has too many dependencies we should list and have cached by memlockd. Rather kill the main gdm3 process, and move to first virtual terminal.
-rw-r--r--config/chroot_local-includes/etc/memlockd.cfg2
-rwxr-xr-xconfig/chroot_local-includes/usr/local/sbin/udev-watchdog-wrapper5
2 files changed, 6 insertions, 1 deletions
diff --git a/config/chroot_local-includes/etc/memlockd.cfg b/config/chroot_local-includes/etc/memlockd.cfg
index 72c7f1f..853d0c6 100644
--- a/config/chroot_local-includes/etc/memlockd.cfg
+++ b/config/chroot_local-includes/etc/memlockd.cfg
@@ -1,4 +1,5 @@
+/bin/cat
++/bin/chvt
+/bin/sh
+/bin/sleep
+/bin/stty
@@ -7,3 +8,4 @@
/etc/init.d/tails-kexec
+/sbin/kexec
+/usr/bin/eject
++/usr/bin/pkill
diff --git a/config/chroot_local-includes/usr/local/sbin/udev-watchdog-wrapper b/config/chroot_local-includes/usr/local/sbin/udev-watchdog-wrapper
index eb7b5d6..59460d1 100755
--- a/config/chroot_local-includes/usr/local/sbin/udev-watchdog-wrapper
+++ b/config/chroot_local-includes/usr/local/sbin/udev-watchdog-wrapper
@@ -51,7 +51,10 @@ do_stop() {
eject -m "${BOOT_DEVICE}" 2>&1 >/dev/null || true
fi
- /etc/init.d/gdm3 stop 2>&1 >/dev/null || true
+ /usr/bin/pkill gdm3 2>&1 >/dev/null || true
+ # TODO-Wheezy: after Squeeze, kbd is replaced by console-tools,
+ # and chvt is now shipped in /usr/bin/chvt (adapt memlockd.cfg too)
+ /bin/chvt 1
/etc/init.d/kexec-load stop 2>&1 >/dev/null || true
/etc/init.d/tails-kexec stop 2>&1 >/dev/null || true
}